#!/bin/sh

# install the mbmon.cgi script.


CGI_SCRIPT='mbmon.cgi' 
PORT_PATH='/usr/ports/sysutils/xmbmon'
if [ -n "$CGIBIN" && -d "$CGIBIN/" ]; then
	CGI_BIN=$CGIBIN
	echo "   CGI_BIN=${CGI_BIN}"
else
	CGI_BIN='/usr/local/www/cgi-bin'
	echo "   set CGI_BIN environment variable to alter installation directory"
	echo
	sleep 1
fi

# install mbmon.cgi script
if [ ! -e $CGI_SCRIPT ]; then
	echo "oops, where is the script to install?"
	echo "checked for: $CGI_SCRIPT";
	exit;
fi
[ -e ${CGI_BIN}/${CGI_SCRIPT} ] && echo "WARNING: moving existing ${CGI_SCRIPT} to  ${CGI_SCRIPT}.old"
/usr/bin/install -Cvb ${CGI_SCRIPT} ${CGI_BIN}/

# Depends on rrdtool
echo -n " checking for rrdtool... "
if [ ! -e /usr/local/bin/rrdtool ]; then
	echo "no"
	cd /usr/ports/net/rrdtool && make install clean
else
	echo "yes"
fi

# Install mbmon-rrd.pl 
cd $PORT_PATH || exit 1;
if [ ! -e /usr/local/bin/mbmon ]; then
	make -DWITHOUT_X11 install
else
	make -DWITHOUT_X11 patch
fi
CRON_SCRIPT=`find ${PORT_PATH}/work/ -name mbmon-rrd.pl`
if [ ! -n "$CRON_SCRIPT" ]; then
	echo "oops, did not find mbmon-rrd.pl"
	exit 1;
fi
/usr/bin/install -Cvb $CRON_SCRIPT /usr/local/bin/
perl -pi -e 's("mbmon -rc1)("/usr/local/bin/mbmon -rc1)' /usr/local/bin/mbmon-rrd.pl
make clean

echo " ----------- UPDATE YOUR CRONTAB TO HAVE THE FOLLOWING ----------- "
echo "    */5 * * * *  /usr/local/bin/mbmon-rrd.pl /var/db/mbmon.rrd"
echo 
echo "Point your browser to http://`hostname`/cgi-bin/${CGI_SCRIPT}";

